Subject: Re: [Emacs.app dev]: disappearing cursor on Mac OS X

From: David Reitter <[email-masked]>
Date: Tue, 26 May 2009 16:52:16 -0400

On May 26, 2009, at 7:15 AM, beme bright wrote:

> I've reported this bug on gnu-emacs-bug months ago.  Perhaps someone
> here would be able to help...

There's a long list of bugs in the NS package - it would be great if  
people who know a bit of C or ObjC could take a look.

I suspect that this one is easy to fix - just make sure the cursor is  
re-drawn when changing text with mouseover property (mouse highlight).

> emacs/nextstep/Emacs.app/Contents/MacOS/Emacs -Q
>
> find-file ~/
> move cursor with arrow keys to some file name
> move mouse around so that the file name is highlighted in green
> move mouse away
> the cursor is gone.

Yeah, I notice that turning on blink-cursor-mode makes this problem go  
away.